---
title: DynamicsCompressorNode()
slug: Web/API/DynamicsCompressorNode/DynamicsCompressorNode
tags:
  - Audio
  - Constructor
  - DynamicsCompressorNode
  - Media
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p><span class="seoSummary">The <strong><code>DynamicsCompressorNode()</code></strong> constructor creates a new {{domxref("DynamicsCompressorNode")}} object which provides a compression effect, which lowers the volume of the loudest parts of the signal</span>, in order to help prevent clipping and distortion. That can occur when multiple sounds are played and multiplexed together at once.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var dynamicsCompressorNode = new DynamicsCompressorNode(context, options)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>context</em></dt>
 <dd>A reference to an {{domxref("AudioContext")}}.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>attack</code>: The amount of time (in seconds) to reduce the gain by 10dB. Its default value is 0.003. This parameter is k-rate. Its nominal range is [0, 1].</li>
  <li><code>knee</code>: A decibel value representing the range above the threshold where the curve smoothly transitions to the "ratio" portion. Its default value is 30. This parameter is k-rate. Its nominal range is [0, 40].</li>
  <li><code>ratio</code>: The amount of dB change in input for a 1 dB change in output. Its default value is 12. This parameter is k-rate. Its nominal range is [1, 20].</li>
  <li>release: The amount of time (in seconds) to increase the gain by 10dB. Its default value is 0.250. This parameter is k-rate. Its nominal range is [0, 1].</li>
  <li>threshold: The decibel value above which the compression will start taking effect. Its default value is -24. This parameter is k-rate. Its nominal range is [-100, 0].</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dynamicscompressornode','DynamicsCompressorNode()')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.DynamicsCompressorNode.DynamicsCompressorNode")}}</p>
</div>
